close all;
n=3000; %sample size
bins=30; %how many bins for the histograms?
subplot(1,5,1)
text('Interpreter','latex')
uistr(1) = {''}
uistr(2) = {'Kolmogorov-'}
uistr(3) = {'Smirnov'}
uistr(4) = {'statistic = .0257'}
uistr(5) = {'p-value < .0374'}
uistr(6) = {''}
hist(sub2,bins)
hold on
xx = 0:.01:1;
yy= unifpdf(xx,0,1)*(n/bins)
plot(xx,yy,'r-','LineWidth',3)
hold off
uicontrol('Style','text','Position',[196 165 130 115],'String',uistr,'FontSize',12);
grid on
set(gca,'XTick',[0,.2,.4,.6,.8,1],'Layer','top')
set(gca,'YTick',[0,25,50,75,100,125,150,175,200,225],'Layer','top')
axis([0 1 0 225])
xlabel('Magnitude of p_\nu')
ylabel('Frequency of observed p_\nu','FontSize',16)
title({'Participant 2';'[.85,.85,.99,.80,.70,';'.80,.80,.95,.85,.60]'})
subplot(1,5,2)
uistr1(1) = {''}
uistr1(2) = {'Kolmogorov-'}
uistr1(3) = {'Smirnov'}
uistr1(4) = {'statistic = .0446'}
uistr1(5) = {'p-value < .0001'}
uistr1(6) = {''}
hist(sub10,bins)
hold on
xx = 0:.01:1;
yy= unifpdf(xx,0,1)*(n/bins)
plot(xx,yy,'r-','LineWidth',3)
hold off
uicontrol('Style','text','Position',[404 165 130 115],'String',uistr1,'FontSize',12);
grid on
set(gca,'XTick',[0,.2,.4,.6,.8,1],'Layer','top')
set(gca,'YTick',[0,25,50,75,100,125,150,175,200,225],'Layer','top')
axis([0 1 0 225])
xlabel('Magnitude of p_\nu')
title({'Participant 10';'[.05,.01,.01,.05,.15,';'.01,.05,.15,.10,.15]'})
subplot(1,5,3)
uistr2(1) = {''}
uistr2(2) = {'Kolmogorov-'}
uistr2(3) = {'Smirnov'}
uistr2(4) = {'statistic = .0437'}
uistr2(5) = {'p-value < .0001'}
uistr2(6) = {''}
hist(sub10mirror,bins)
hold on
xx = 0:.01:1;
yy= unifpdf(xx,0,1)*(n/bins)
plot(xx,yy,'r-','LineWidth',3)
hold off
uicontrol('Style','text','Position',[613 165 130 115],'String',uistr2,'FontSize',12);
grid on
set(gca,'XTick',[0,.2,.4,.6,.8,1],'Layer','top')
set(gca,'YTick',[0,25,50,75,100,125,150,175,200,225],'Layer','top')
axis([0 1 0 225])
xlabel('Magnitude of p_\nu')
title({'Participant 10 Mirror';'[.95,.99,.99,.95,.85,';'.99,.95,.85,.90,.85]'})
subplot(1,5,4)
uistr3(1) = {''}
uistr3(2) = {'Kolmogorov-'}
uistr3(3) = {'Smirnov'}
uistr3(4) = {'statistic = .0257'}
uistr3(5) = {'p-value < .0374'}
uistr3(6) = {''}
hist(sub12,bins)
hold on
xx = 0:.01:1;
yy= unifpdf(xx,0,1)*(n/bins)
plot(xx,yy,'r-','LineWidth',3)
hold off
uicontrol('Style','text','Position',[821 165 130 115],'String',uistr3,'FontSize',12);
grid on
set(gca,'XTick',[0,.2,.4,.6,.8,1],'Layer','top')
set(gca,'YTick',[0,25,50,75,100,125,150,175,200,225],'Layer','top')
axis([0 1 0 225])
xlabel('Magnitude of p_\nu')
title({'Participant 12';'[.50,.40,.25,.15,.80,';'.45,.05,.65,.20,.55]'})
subplot(1,5,5)
uistr4(1) = {''}
uistr4(2) = {'Kolmogorov-'}
uistr4(3) = {'Smirnov'}
uistr4(4) = {'statistic = .0336'}
uistr4(5) = {'p-value < .0023'}
uistr4(6) = {''}
hist(subnew,bins)
hold on
xx = 0:.01:1;
yy= unifpdf(xx,0,1)*(n/bins)
plot(xx,yy,'r-','LineWidth',3)
hold off
uicontrol('Style','text','Position',[1029 165 130 115],'String',uistr4,'FontSize',12);
grid on
set(gca,'XTick',[0,.2,.4,.6,.8,1],'Layer','top')
set(gca,'YTick',[0,25,50,75,100,125,150,175,200,225],'Layer','top')
axis([0 1 0 225])
xlabel('Magnitude of p_\nu')
title({'Hypothetical Participant';'[.5,.4,.45,.55,.5,';'.45,.5,.6,.5,.55]'})


