% Independence test adopted from Smith and Batchelder (2008)
M=20;
sub=sub2;
A=zeros(M-1,30)+2;
for j=1:30
    for i=1:(M-1)
        if sub(i,j)==sub(i+1,j)
        A(i,j)=0;
    else A(i,j)=1;
        end
    end
end
empiricalA=sum(A,1); %calculated A_i from real data
p=mean(sub);
meanA=2.*(M-1).*p.*(1-p); %mean of A_i
sdA=sqrt(2.*(M-1).*p.*(1-p).*(1-2.*p.*(1-p))); %sd of A_i
Fit1sd=empiricalA>=meanA-1*sdA & empiricalA<=meanA+2*sdA;   %fit of 1 sd
Fit05=empiricalA>=meanA-1.96*sdA & empiricalA<=meanA+2*sdA; % fit at .05
Fit2sd=empiricalA>=meanA-2*sdA & empiricalA<=meanA+2*sdA;    %fit of 2 sd