% Independence test adopted from Smith and Batchelder (2008)
M=10;
gamepair=10;
sub_num=3;
 polytope=LOP_5gambles;
Fit1sd=zeros(sub_num,gamepair)+2;
Fit2sd=zeros(sub_num,gamepair)+2;
Fit05=zeros(sub_num,gamepair)+2;
mA=zeros(sub_num,gamepair)+2;
varA=zeros(sub_num,gamepair)+2;
realA=zeros(sub_num,gamepair)+2;

% dimdata=zeros(18,6);
for tt=1:3
filename1=strcat(num2str(tt),'.txt');
cash1=textread(filename1);
sub=cash1;

A=zeros(M-1,gamepair)+2; %store A
for j=1:gamepair
    for i=1:(M-1)
        if sub(i,j)==sub(i+1,j)
        A(i,j)=0;
    else A(i,j)=1;
        end
    end
end
empiricalA=sum(A,1); %calculated A_i from real data
%cacluate the MLE from Qtest
choice=[sum(cash1)' M-sum(cash1)'];
cellM=mat2cell(choice,[1 1 1 1 1 1 1 1 1 1],2);
LH=polytope(:,1:10);
RH=polytope(:,11);
[X,L,W,P]=mult_con(cellM,LH, RH);
p=X;

meanA=2.*(M-1).*p.*(1-p); %mean of A_i
sdA=sqrt(2.*(M-1).*p.*(1-p).*(1-2.*p.*(1-p))); %sd of A_i
Fit1sd(tt,1:10)=empiricalA(1:10)>=meanA-1*sdA & empiricalA(1:10)<=meanA+2*sdA;   %fit of 1 sd
Fit05(tt,1:10)=empiricalA(1:10)>=meanA-1.96*sdA & empiricalA(1:10)<=meanA+2*sdA; % fit at .05
Fit2sd(tt,1:10)=empiricalA(1:10)>=meanA-2*sdA & empiricalA(1:10)<=meanA+2*sdA;    %fit of 2 sd

realA(tt,:)=empiricalA;
mA(tt,:)=meanA;
varA(tt,:)=2.*(M-1).*p.*(1-p).*(1-2.*p.*(1-p));

% 1 means fit and 0 means rejections

end
mean1=[mean(mA(:,1:10),2)];
var1=[sum(varA(:,1:10),2) ]/100;
real1=[mean(realA(:,1:10),2)];
fitall2sd=real1>=mean1-2*sqrt(var1) & real1<=mean1+2*sqrt(var1) ;
fitall05=real1>=mean1-1.96*sqrt(var1) & real1<=mean1+1.96*sqrt(var1) ;
fitall1sd=real1>=mean1-sqrt(var1) & real1<=mean1+sqrt(var1) ;

