%Chi-square GOF & 2-sample KS
% data3000=subnew;
data3000=zeros(3000,4)+2;
data3000(:,1)=sub2; 
% sub10mirror=data3000(:,2); 
data3000(:,2)=sub10;
data3000(:,3)=sub12;
data3000(:,4)=subnew;

chisqstat=zeros(1,4);
chisqdf=zeros(1,4);
chisqp=zeros(1,4);
chisqresult=zeros(1,4);
ksstat=zeros(1,4);
ksp=zeros(1,4);
ksresult=zeros(1,4);
for i=1:4
x=data3000(:,i);
n = length(x);
edges = linspace(0,1,31);
expectedCounts = n * diff(edges);
[h,p,st] = chi2gof(x,'edges',edges,'expected',expectedCounts);
%[h,p,st] = chi2gof(x);
chisqstat(1,i)=st.chi2stat;
chisqdf(1,i)=st.df;
chisqp(1,i)=p;
chisqresult(1,i)=h;
nums=[0:.0001:1]';
P = unifcdf(nums,0,1);
pnew=[nums P];
[h,p,k,c] = kstest(x,pnew,0.05,0);
ksstat(1,i)=k;
ksp(1,i)=p;
ksresult(1,i)=h;
end
chisquare=[chisqstat;chisqdf;chisqp;chisqresult];
ks=[ksstat;ksp;ksresult];
allresults=[mean(data3000);median(data3000);skewness(data3000);chisquare;ks];

% Compare comparison

data3000=zeros(3000,4)+2;
data3000(:,1)=sub2; 
% sub10mirror=data3000(:,2); 
data3000(:,2)=sub10;
data3000(:,3)=sub12;
data3000(:,4)=subnew;
rs=ones(6,3)+1;
t=1;

for i=1:3
    for j=i+1:4
        x1=data3000(:,i);
        x2=data3000(:,j);
[h,p,ks2stat]= kstest2(x1,x2,.05);
rs(t,:)=[h,p,ks2stat];
t=t+1;
    end
end

%dlmwrite('C:\Documents and Settings\zwillin1\Desktop\fitstats.txt',allresults); %Mike's Lab
%dlmwrite('C:\Users\Chris\Desktop\fitstats.txt',allresults); %Chris Laptop

%http://www.mathworks.com/help/toolbox/stats/chi2gof.html
%For the Chi-square GOF, if h=0 cannot reject null, 
%that data are random sample from uniform distribution

%The two-sample Kolmogorov-Smirnov (KS) compares the distributions
%of the values in the two data vectors x1 and x2. 
%The null hypothesis is that x1 and x2 are from the same 
%continuous distribution. The alternative hypothesis is that they are 
%from different continuous distributions. The result h is 1 if the test 
%rejects the null hypothesis at the 5% significance level; 0 otherwise.

%dlmwrite('C:\Documents and Settings\zwillin1\Desktop\chisquare.txt',chisquare); %Mike's Lab

