%If reading in an aggregated text file and need to analyze individually from that text file
data3000=dlmread('C:\Documents and Settings\zwillin1\Desktop\data3000_2_2_2012.txt'); %Mike's Lab
sub2=data3000(:,1); 
sub10mirror=data3000(:,2); 
sub10=data3000(:,3);
sub12=data3000(:,4);
subnew=data3000(:,5);

[h1,p1,ks2stat1]=kstest2(sub2,sub10)
[h2,p2,ks2stat2]=kstest2(sub2,sub12)
[h3,p3,ks2stat3]=kstest2(sub2,subnew)
[h4,p4,ks2stat4]=kstest2(sub10,sub12)
[h5,p5,ks2stat5]=kstest2(sub10,subnew)
[h6,p6,ks2stat6]=kstest2(sub12,subnew)

allresults=[h1 p1 ks2stat1; h2 p2 ks2stat2;h3 p3 ks2stat3; h4 p4 ks2stat4; h5 p5 ks2stat5; h6 p6 ks2stat6];

xlswrite('C:\Documents and Settings\zwillin1\Desktop\fitstats.txt',allresults); %Mike's Lab

%The two-sample Kolmogorov-Smirnov (KS) compares the distributions
%of the values in the two data vectors x1 and x2. 
%The null hypothesis is that x1 and x2 are from the same 
%continuous distribution. The alternative hypothesis is that they are 
%from different continuous distributions. The result h is 1 if the test 
%rejects the null hypothesis at the 5% significance level; 0 otherwise.



